@anriko

Почему ng serve --open требует вебпак?

а перед вебпак требовало '@angular-devkit/architect'

ng serve --open
An unhandled exception occurred: Cannot find module 'webpack'
Require stack:
- C:\Users\Anriko\Desktop\Angular домашка\sprite\node_modules\@angular-devkit\build-webpack\src\webpack\index.js
- C:\Users\Anriko\Desktop\Angular домашка\sprite\node_modules\@angular-devkit\build-webpack\src\index.js
- C:\Users\Anriko\Desktop\Angular домашка\sprite\node_modules\@angular-devkit\build-angular\src\builders\dev-server\index.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\node_modules\@angular-devkit\architect\node\node-modules-architect-host.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\node_modules\@angular-devkit\architect\node\index.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\models\architect-command.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\commands\serve-impl.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\node_modules\@angular-devkit\schematics\tools\export-ref.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\node_modules\@angular-devkit\schematics\tools\index.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\utilities\json-schema.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\models\command-runner.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\lib\cli\index.js
- C:\Users\Anriko\AppData\Roaming\npm\node_modules\@angular\cli\lib\init.js
See "C:\Users\Anriko\AppData\Local\Temp\ng-J0dh5a\angular-errors.log" for further details.

{
  "name": "sprite",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~13.0.0",
    "@angular/common": "~13.0.0",
    "@angular/compiler": "~13.0.0",
    "@angular/core": "~13.0.0",
    "@angular/forms": "~13.0.0",
    "@angular/platform-browser": "~13.0.0",
    "@angular/platform-browser-dynamic": "~13.0.0",
    "@angular/router": "~13.0.0",
    "rxjs": "~7.4.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/architect": "^0.1300.2",
    "@angular-devkit/build-angular": "~13.0.2",
    "@angular/cli": "~13.0.2",
    "@angular/compiler-cli": "~13.0.0",
    "@types/jasmine": "~3.10.0",
    "@types/node": "^12.11.1",
    "jasmine-core": "~3.10.0",
    "karma": "~6.3.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.0.3",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "~1.7.0",
    "typescript": "~4.4.3"
  }
}


npm install webpack
npm ERR! Invalid Version:

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Anriko\AppData\Local\npm-cache\_logs\2021-11-17T16_27_34_625Z-debug.log
  • Вопрос задан
  • 39 просмотров
Пригласить эксперта
Ответы на вопрос 1
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы